function [W, E, invR]=rls(W, invR, d, X, lambda)
%  +-----------------------------------------+
%  |       RLS Algorithm    04/2004          |
%  |         Antonio L. L. Ramos             |
%  |                                         |
%  +-----------------------------------------+
%---------------------------------------------------------
ka      = invR*X;
kappa   = ka/(lambda + X'*ka);
invR  = (1/lambda)*(invR-ka*ka'/(lambda+X'*ka));
%---------------------------------------------------
E       = d-W'*X;
W = W+conj(E)*kappa;
%---------------------------------------------------       
